Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb.common.v2
Class ObjectFactory

    java.lang.Object
      be.vlaanderen.mercurius.vsb.common.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.vlaanderen.mercurius.vsb.common.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.vsb.common.v2

Method Summary
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`ConsultViewRequest` | `createConsultViewRequest()` Create an instance of `ConsultViewRequest`
`ConsultViewWithTimePeriodRequest` | `createConsultViewWithTimePeriodRequest()` Create an instance of `ConsultViewWithTimePeriodRequest`
`Errors` | `createErrors()` Create an instance of `Errors`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`EventMessageType` | `createEventMessageType()` Create an instance of `EventMessageType`
`KeyValuePairType` | `createKeyValuePairType()` Create an instance of `KeyValuePairType`
`LBDossierType` | `createLBDossierType()` Create an instance of `LBDossierType`
`ParameterKeyType` | `createParameterKeyType()` Create an instance of `ParameterKeyType`
`ParameterValueType` | `createParameterValueType()` Create an instance of `ParameterValueType`
`ResidenceType` | `createResidenceType()` Create an instance of `ResidenceType`
`RetryResponseType` | `createRetryResponseType()` Create an instance of `RetryResponseType`
`TimePeriodType` | `createTimePeriodType()` Create an instance of `TimePeriodType`
`WaitingPeriodsType` | `createWaitingPeriodsType()` Create an instance of `WaitingPeriodsType`
`WaitingPeriodType` | `createWaitingPeriodType()` Create an instance of `WaitingPeriodType`
`Warnings` | `createWarnings()` Create an instance of `Warnings`
`WarningType` | `createWarningType()` Create an instance of `WarningType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.vlaanderen.mercurius.vsb.common.v2

Method Detail

### createErrors

    public Errors createErrors()

  Create an instance of `Errors`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createEventMessageType

    public EventMessageType createEventMessageType()

  Create an instance of `EventMessageType`

### createLBDossierType

    public LBDossierType createLBDossierType()

  Create an instance of `LBDossierType`

### createWarnings

    public Warnings createWarnings()

  Create an instance of `Warnings`

### createWarningType

    public WarningType createWarningType()

  Create an instance of `WarningType`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createConsultViewRequest

    public ConsultViewRequest createConsultViewRequest()

  Create an instance of `ConsultViewRequest`

### createConsultViewWithTimePeriodRequest

    public ConsultViewWithTimePeriodRequest createConsultViewWithTimePeriodRequest()

  Create an instance of `ConsultViewWithTimePeriodRequest`

### createParameterKeyType

    public ParameterKeyType createParameterKeyType()

  Create an instance of `ParameterKeyType`

### createParameterValueType

    public ParameterValueType createParameterValueType()

  Create an instance of `ParameterValueType`

### createResidenceType

    public ResidenceType createResidenceType()

  Create an instance of `ResidenceType`

### createRetryResponseType

    public RetryResponseType createRetryResponseType()

  Create an instance of `RetryResponseType`

### createTimePeriodType

    public TimePeriodType createTimePeriodType()

  Create an instance of `TimePeriodType`

### createWaitingPeriodsType

    public WaitingPeriodsType createWaitingPeriodsType()

  Create an instance of `WaitingPeriodsType`

### createWaitingPeriodType

    public WaitingPeriodType createWaitingPeriodType()

  Create an instance of `WaitingPeriodType`

### createKeyValuePairType

    public KeyValuePairType createKeyValuePairType()

  Create an instance of `KeyValuePairType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.